UTMPDUMP(1)

NOM
utmpdump - Vider des fichiers utmp et wtmp au format brut

SYNOPSIS

utmpdump [options] fichier

DESCRIPTION

utmpdump est un programme simple pour vider des fichiers utmp et wtmp au format brut, afin de pouvoir les examiner. utmpdump lit l’entrée standard sauf si un fichier est indiqué.

OPTIONS

-f, --follow
    Afficher les données ajoutées lorsque le fichier grossit.

-o, --output fichier
    Écrire la sortie de la commande dans fichier au lieu de la sortie standard.

-r, --reverse
    Restaurer, réécrire les informations de connexion éditées dans les fichiers utmp et wtmp.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

NOTES

utmpdump peut être utile en cas d’entrées utmp ou wtmp corrompues. Il peut vider utmp ou wtmp dans un fichier ASCII, qui peut ensuite être modifié pour supprimer les entrées boguées, puis réintégré en utilisant :

    utmpdump -r < fichier_ASCII > wtmp

Avertissement : utmpdump n’a été écrit que pour des besoins de débogage.

  Formats de fichier

Seule la version binaire de utmp(5) est standardisée. Les vidages textuels peuvent devenir incompatibles à l’avenir.

La version 2.28 était la dernière qui produisait une sortie texte avec le format d’horodatage ctime(3). Les vidages plus récents utilisent le format d’horodatage ISO-8601 avec une précision d’une milliseconde dans le fuseau horaire UTC-0. La conversion à partir de l’ancien format d’horodatage peut être faite vers le binaire, bien que les tentatives pour faire ainsi puissent mener à une dérive d’un certain nombre de fuseaux horaires.

BOGUES

Vous ne devriez pas utiliser l’option -r, car le format des fichiers utmp ou wtmp dépend fortement du format d’entrée. Cet outil n’a pas été écrit pour une utilisation normale, mais seulement pour le débogage.

AUTEURS

Michael Krapp

VOIR AUSSI

last(1), w(1), who(1), utmp(5)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande utmpdump fait partie du paquet util-linux, elle est disponible sur